#ifndef RMLDPC_H_
#define RMLDPC_H_

#include "ucps2.h"
MPU_ENTRY void RMBitSelLDPCAsm(v16u32 ConfigAddr);
MPU_ENTRY void RMBitILLDPCAsm(v16u32 ConfigAddr);
void RMBitSelLDPC(int ConfigBaseAddr,int EkLength,int NullPos,int NullLen,int k0,int EncodedCBSizes,int InputAddr,int TempAddr2,int TempAddr,int OutputAddr);
void RMBitILLDPC(int ConfigBaseAddr,int EkLength,int Qm,int InputAddr,int OutputAddr);

#endif /* RMLDPC_H_ */
